Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents
Enum Document.PageLayoutEnum

    java.lang.Object
      java.lang.Enum<Document.PageLayoutEnum>
          org.pdfclown.documents.Document.PageLayoutEnum

All Implemented Interfaces:
  Serializable, Comparable<Document.PageLayoutEnum>

Enclosing class:
  Document

    public static enum Document.PageLayoutEnum

extends Enum<Document.PageLayoutEnum>

Page layout to be used when the document is opened [PDF:1.6:3.6.1].

Enum Constant Summary
`OneColumn` Displays the pages in one column.
`SinglePage` Displays one page at a time.
`TwoColumnLeft` Displays the pages in two columns, with odd-numbered pages on the left.
`TwoColumnRight` Displays the pages in two columns, with odd-numbered pages on the right.
`TwoPageLeft` Displays the pages two at a time, with odd-numbered pages on the left.
`TwoPageRight` Displays the pages two at a time, with odd-numbered pages on the right.

Method Summary
`PdfName` | `getName()`
`static Document.PageLayoutEnum` | `valueOf(PdfName name)`
`static Document.PageLayoutEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Document.PageLayoutEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SinglePage

    public static final Document.PageLayoutEnum SinglePage

  Displays one page at a time.

### OneColumn

    public static final Document.PageLayoutEnum OneColumn

  Displays the pages in one column.

### TwoColumnLeft

    public static final Document.PageLayoutEnum TwoColumnLeft

  Displays the pages in two columns, with odd-numbered pages on the left.

### TwoColumnRight

    public static final Document.PageLayoutEnum TwoColumnRight

  Displays the pages in two columns, with odd-numbered pages on the right.

### TwoPageLeft

    @PDF(value=PDF15)
    public static final Document.PageLayoutEnum TwoPageLeft

  Displays the pages two at a time, with odd-numbered pages on the left.

### TwoPageRight

    @PDF(value=PDF15)
    public static final Document.PageLayoutEnum TwoPageRight

  Displays the pages two at a time, with odd-numbered pages on the right.

Method Detail

### values

    public static Document.PageLayoutEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Document.PageLayoutEnum c : Document.PageLayoutEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Document.PageLayoutEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### valueOf

    public static Document.PageLayoutEnum valueOf(PdfName name)

### getName

    public PdfName getName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.